#!/bin/bash

set -e

rm -rf opt
# apt-get install procps

# echo '==============current dir==============='
# echo ${PWD}

# if ! pgrep dockerd >/dev/null; then
#     echo "Docker daemon is not running. Starting it..."
#     sudo systemctl start docker
# else
#     echo "Docker daemon is already running."
# fi

echo "====================getting the docker images================="
#docker build -t whitech-sharp -f Dockerfile .
docker pull yangarnet/sharp-heic:0.0.1

CONTAINER=$(docker run -d yangarnet/sharp-heic:0.0.1 false)

echo '================== containter id===========';
echo ${CONTAINER}
echo '================== 1===========';

docker cp ${CONTAINER}:/opt/opt.zip ${PWD}/opt.zip
echo '================== 2==========';
unzip  ${PWD}/opt.zip -d ${PWD}/opt
rm  ${PWD}/opt.zip
echo '================== 3 ===========';

mkdir -p ${PWD}/opt/lib

docker cp ${CONTAINER}:/lib64/libpng15.so.15.13.0 ${PWD}/opt/lib
docker cp ${CONTAINER}:/lib64/libpng15.so.15 ${PWD}/opt/lib
docker cp ${CONTAINER}:/lib64/libpng15.so  ${PWD}/opt/lib
docker cp ${CONTAINER}:/lib64/libpng.so  ${PWD}/opt/lib
docker cp ${CONTAINER}:/lib64/libexif.so  ${PWD}/opt/lib
docker cp ${CONTAINER}:/lib64/libexif.so.12  ${PWD}/opt/lib
docker cp ${CONTAINER}:/lib64/libexif.so.12.3.4  ${PWD}/opt/lib

echo '================== 7 ===========';

#docker stop ${CONTAINER} && docker rm ${CONTAINER}
#docker rmi -f whitech-sharp:latest public.ecr.aws/lambda/nodejs:14

echo "export LD_LIBRARY_PATH=${PWD}/opt/lib:${LD_LIBRARY_PATH}" >> ~/.profile && sudo /sbin/ldconfig -v

echo "=================== source the profile after"

# /home/whitech/.profile: cannot execute binary file. need to do some on localstack
#.  ~/.profile

echo '==============all done!===========';
